OutcomesProperties (scheduler-portlet 2.2.0-SNAPSHOT API)
Date: 2015-11-05

org.gcube.datatransfer.portlets.user.client.prop

## Interface OutcomesProperties

- All Superinterfaces:
    com.sencha.gxt.data.shared.PropertyAccess<Outcomes>

      public interface OutcomesProperties
      extends com.sencha.gxt.data.shared.PropertyAccess<Outcomes>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `destination()`
    `com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `exception()`
    `com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `failure()`
    `com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `fileName()`
    `com.sencha.gxt.data.shared.ModelKeyProvider<Outcomes>` | `key()`
    `com.sencha.gxt.data.shared.LabelProvider<Outcomes>` | `nameLabel()`
    `com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `size()`
    `com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `success()`
    `com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `totalMessage()`
    `com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `transferredBytes()`
    `com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `transferTime()`

- - ### Method Detail

    - #### key

          @Editor.Path(value="id")
          com.sencha.gxt.data.shared.ModelKeyProvider<Outcomes> key()

    - #### nameLabel

          @Editor.Path(value="fileName")
          com.sencha.gxt.data.shared.LabelProvider<Outcomes> nameLabel()

    - #### fileName

          com.sencha.gxt.core.client.ValueProvider<Outcomes,String> fileName()

    - #### destination

          com.sencha.gxt.core.client.ValueProvider<Outcomes,String> destination()

    - #### success

          com.sencha.gxt.core.client.ValueProvider<Outcomes,String> success()

    - #### failure

          com.sencha.gxt.core.client.ValueProvider<Outcomes,String> failure()

    - #### transferTime

          com.sencha.gxt.core.client.ValueProvider<Outcomes,String> transferTime()

    - #### size

          com.sencha.gxt.core.client.ValueProvider<Outcomes,String> size()

    - #### transferredBytes

          com.sencha.gxt.core.client.ValueProvider<Outcomes,String> transferredBytes()

    - #### exception

          com.sencha.gxt.core.client.ValueProvider<Outcomes,String> exception()

    - #### totalMessage

          com.sencha.gxt.core.client.ValueProvider<Outcomes,String> totalMessage()

Copyright © 2015. All Rights Reserved.